Cyberduck Mountain Duck CLI

#7931 closed defect (worksforme)

Exception in ReceiptVerifier

Reported by: jurgen Owned by: dkocher
Priority: normal Milestone: 4.7
Component: appstore Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I recently upgraded to 4.4.4/AppStore from an older non-App-Store-but-registered version (sorry, I don't remember the exact version - it's gone now). App Store said that it found a non-AppStore version and I let it make the replacement. All good.

When I open it and try to open a new Browser window, nothing happens. When I try to quit, nothing happens. I have to force-quit. Logging in as the Guest User, the same things happen. I manually trashed the app, and asked the App Store to re-install, which it did with no complaints. Same things happened. I deleted the app again, and replaced it with the regular downloaded version, and that worked fine.

OSX 10.9.2 Retina MBP.

Any idea what's going on here?

Here's a log dump:

May  3 10:18:01 Jet.local sandboxd[63735] ([47814]): Cyberduck(47814) deny network-bind /private/var/folders/5l/jhk_f7891jl7m7ff954cgg2r0000gn/T/ch.sudo.cyberduck/.java_pid47814.tmp
May  3 10:18:03 Jet.local Cyberduck[47814]: [main] ERROR org.rococoa.callback - Exception calling method for selector setApplicationMenu:
		at ch.cyberduck.ui.cocoa.foundation.NSBundle.loadNibNamed(NSBundle.java:47)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:74)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:62)
		at ch.cyberduck.ui.cocoa.MainController.<init>(MainController.java:132)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:153)
		at ch.cyberduck.core.aquaticprime.ReceiptVerifier.verify(ReceiptVerifier.java:80)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:51)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:85)
		at ch.cyberduck.core.aquaticprime.LicenseFactory.find(LicenseFactory.java:107)
		at ch.cyberduck.ui.cocoa.MainController.updateLicenseMenu(MainController.java:210)
		at ch.cyberduck.ui.cocoa.MainController.setApplicationMenu(MainController.java:202)
May  3 10:18:05 Jet.local Cyberduck[47814]: [main] ERROR org.rococoa.callback - Exception calling method for selector applicationDidFinishLaunching:
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:162)
		at ch.cyberduck.core.aquaticprime.ReceiptVerifier.verify(ReceiptVerifier.java:80)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:51)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:85)
		at ch.cyberduck.core.aquaticprime.LicenseFactory.find(LicenseFactory.java:107)
		at ch.cyberduck.ui.cocoa.BrowserController.awakeFromNib(BrowserController.java:251)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:78)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:62)
		at ch.cyberduck.ui.cocoa.BrowserController.<init>(BrowserController.java:204)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1499)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1483)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1449)
		at ch.cyberduck.ui.cocoa.MainController.applicationDidFinishLaunching(MainController.java:921)
May  3 10:18:33 Jet.local Cyberduck[47814]: [main] ERROR org.rococoa.callback - Exception calling method for selector applicationShouldHandleReopen:hasVisibleWindows:
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:162)
		at ch.cyberduck.core.aquaticprime.ReceiptVerifier.verify(ReceiptVerifier.java:80)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:51)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:85)
		at ch.cyberduck.core.aquaticprime.LicenseFactory.find(LicenseFactory.java:107)
		at ch.cyberduck.ui.cocoa.BrowserController.awakeFromNib(BrowserController.java:251)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:78)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:62)
		at ch.cyberduck.ui.cocoa.BrowserController.<init>(BrowserController.java:204)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1499)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1483)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1449)
		at ch.cyberduck.ui.cocoa.MainController.applicationShouldHandleReopen_hasVisibleWindows(MainController.java:880)
May  3 10:18:37 Jet.local Cyberduck[47814]: [main] ERROR org.rococoa.callback - Exception calling method for selector newBrowserMenuClicked:
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:162)
		at ch.cyberduck.core.aquaticprime.ReceiptVerifier.verify(ReceiptVerifier.java:80)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:51)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:85)
		at ch.cyberduck.core.aquaticprime.LicenseFactory.find(LicenseFactory.java:107)
		at ch.cyberduck.ui.cocoa.BrowserController.awakeFromNib(BrowserController.java:251)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:78)
		at ch.cyberduck.ui.cocoa.BundleController.loadBundle(BundleController.java:62)
		at ch.cyberduck.ui.cocoa.BrowserController.<init>(BrowserController.java:204)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1499)
		at ch.cyberduck.ui.cocoa.MainController.newDocument(MainController.java:1483)
		at ch.cyberduck.ui.cocoa.MainController.newBrowserMenuClicked(MainController.java:527)
May  3 10:18:42 Jet.local Cyberduck[47814]: [main] ERROR org.rococoa.callback - Exception calling method for selector applicationShouldTerminate:
		at ch.cyberduck.ui.cocoa.application.NSApplication$$ByRococoa.run(<generated>)
		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:162)
		at ch.cyberduck.core.aquaticprime.ReceiptVerifier.verify(ReceiptVerifier.java:80)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:51)
		at ch.cyberduck.core.aquaticprime.Receipt$Factory.open(Receipt.java:85)
		at ch.cyberduck.core.aquaticprime.LicenseFactory.find(LicenseFactory.java:107)
		at ch.cyberduck.ui.cocoa.MainController.applicationShouldTerminateAfterDonationPrompt(MainController.java:1307)
		at ch.cyberduck.ui.cocoa.MainController.applicationShouldTerminate(MainController.java:1296)
May  3 10:18:49 Jet com.apple.launchd.peruser.501[203] (ch.sudo.cyberduck.281280[47814]): Exited: Terminated: 15

Change History (8)

comment:1 Changed on May 3, 2014 at 4:46:37 PM by dkocher

  • Component changed from core to appstore
  • Milestone set to 4.4.5
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from 4.4.4/AppStore doesn't display Browser window, does not quit. to Exception in ReceiptVerifier

comment:2 Changed on May 7, 2014 at 3:24:58 PM by dkocher

Can you check if there are any libraries (*.jar dependencies) are installed in /Library/Java/Extensions or ~/Library/Java/Extensions respectively. In particular a Bouncycastle version.

Last edited on Jun 19, 2014 at 1:53:14 PM by dkocher (previous) (diff)

comment:3 Changed on May 7, 2014 at 8:23:12 PM by jurgen

These are in /Library/Java/Extensions:

  • activation.jar
  • bcmail-jdk15-143.jar
  • bcprov-jdk15-143.jar
  • jaxb-api.jar
  • jaxb-impl.jar
  • jsr173_1.0_api.jar
  • KeyStoreBE.jar
  • librxtxSerial.jnilib
  • log4j-1.2.15.jar
  • mail.jar
  • RXTXcomm.jar
  • slf4j-api-1.5.8.jar
  • slf4j-log4j12-1.5.8.jar
  • tools.jar

And there is no ~/Library/Java/Extensions.

comment:4 Changed on May 8, 2014 at 2:24:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

I advise to remove these libraries or at least bcprov-jdk15-143.jar and bcmail-jdk15-143.jar to fix this issue. The third party product that installed these should bundle the libraries within the application and not install these system wide.

comment:5 Changed on May 9, 2014 at 12:14:32 AM by jurgen

Removing those two libraries fixed the problem in Cyberduck. Thanks!

comment:6 Changed on Jun 19, 2014 at 1:52:13 PM by dkocher

#8038 closed as duplicate.

comment:7 Changed on Mar 4, 2015 at 12:51:03 PM by dkocher

Fixed in r17096 with setting the extension directories to only include lib/ext from the bundled runtime.

comment:8 Changed on Mar 4, 2015 at 12:51:38 PM by dkocher

  • Milestone changed from 4.4.5 to 4.7
Note: See TracTickets for help on using tickets.